Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001815KdenliveEffectspublic2010-09-15 10:082011-06-10 10:48
Reporterkyvis 
Assigned Toj-b-m 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platformx64OSKubuntu 10.4OS Version
Product Version0.7.8 
Target VersionFixed in Version0.8 
Summary0001815: Crash when moving effect slider applied to the track
DescriptionKdenlive crashes when I apply some effect to the track an try to adjust its settings moving the slider.
Steps To Reproduce1. Open Kdenlive
2. Add new clip
3. Add clip to the track
4. Drag-and-Drop an effect, ie. Alpha manipulation -> Transparency
5. Move slider in effect properties
6. Kdenlive crashes
Additional InformationKdenlive installed from sunab2 ppa repository.

Application: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 1 (Thread 0x7feaa2edd760 (LWP 2750))]

Thread 4 (Thread 0x7fea83663710 (LWP 2751)):
#0 0xffffffffff60017b in ?? ()
#1 0x00007fea83662a90 in ?? ()
0000002 0x00007ffff7ef6852 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 3 (Thread 0x7fea82679710 (LWP 2766)):
#0 0x00007fea9dff6f83 in poll () from /lib/libc.so.6
#1 0x00007fea9a9ba2ba in ?? () from /usr/lib/libxcb.so.1
0000002 0x00007fea9a9bbefc in xcb_wait_for_reply () from /usr/lib/libxcb.so.1
0000003 0x00007feaa116ca4d in _XReply () from /usr/lib/libX11.so.6
0000004 0x00007feaa1168543 in XSync () from /usr/lib/libX11.so.6
0000005 0x00007fea8fa7b4dc in ?? () from /usr/lib/libSDL-1.2.so.0
0000006 0x00007fea8fa6da9b in SDL_LockSurface () from /usr/lib/libSDL-1.2.so.0
0000007 0x00007fea8fcdebfc in ?? () from /usr/lib/mlt/libmltsdl.so
0000008 0x00007fea9f9a19ca in start_thread () from /lib/libpthread.so.0
0000009 0x00007fea9e0036fd in clone () from /lib/libc.so.6
0000010 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fea81e78710 (LWP 2767)):
#0 0x00007fea9f9a685c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1 0x00007fea8fcde435 in ?? () from /usr/lib/mlt/libmltsdl.so
0000002 0x00007fea9f9a19ca in start_thread () from /lib/libpthread.so.0
0000003 0x00007fea9e0036fd in clone () from /lib/libc.so.6
0000004 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7feaa2edd760 (LWP 2750)):
[KCrash Handler]
0000006 0x00000000004ed6d6 in _start ()
TagsNo tags attached.
Build/Install Method3rd party package
Attached Files

- Relationships
has duplicate 0001822closedj-b-m Crash on adding color effect to whole track 
has duplicate 0001854closedj-b-m kdenlive crashes when video effects applied to "track" 
has duplicate 0002013closedj-b-m Crash when changing effect value 

-  Notes
(0005847)
j-b-m (administrator)
2010-09-16 16:38

Correct, I can reproduce, but the crash only happens when the effect is dropped on the first (top) track (Video 1). dropping on the other tracks seems to work correctly.

Working on a fix...
(0005848)
j-b-m (administrator)
2010-09-16 17:11

Fixed in svn rev. 4900

- Issue History
Date Modified Username Field Change
2010-09-15 10:08 kyvis New Issue
2010-09-16 16:38 j-b-m Note Added: 0005847
2010-09-16 16:38 j-b-m Assigned To => j-b-m
2010-09-16 16:38 j-b-m Status new => acknowledged
2010-09-16 16:40 j-b-m Target Version => 0.7.9
2010-09-16 17:11 j-b-m Note Added: 0005848
2010-09-16 17:11 j-b-m Status acknowledged => resolved
2010-09-16 17:11 j-b-m Fixed in Version => Recent git
2010-09-16 17:11 j-b-m Resolution open => fixed
2010-09-22 13:57 j-b-m Relationship added related to 0001822
2010-09-22 15:47 j-b-m Relationship replaced has duplicate 0001822
2010-10-28 21:20 ttill Relationship added has duplicate 0001854
2011-03-04 23:05 ttill Relationship added has duplicate 0002013
2011-04-26 21:58 j-b-m Fixed in Version Recent git => 0.8
2011-06-10 10:48 Granjow Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker